OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_Builder Class Reference

`#include <StepToTopoDS_Builder.hxx>`

Inheritance diagram for StepToTopoDS_Builder:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_Builder ()
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_ManifoldSolidBrep)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_BrepWithVoids)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_FacetedBrep)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_FacetedBrepAndBrepWithVoids)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_ShellBasedSurfaceModel)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT | StepToTopoDS_Builder (const Handle(StepShape_GeometricSet)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_ManifoldSolidBrep)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_BrepWithVoids)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_FacetedBrep)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_FacetedBrepAndBrepWithVoids)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_ShellBasedSurfaceModel)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_EdgeBasedWireframeModel)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_FaceBasedSurfaceModel)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT void | Init (const Handle(StepShape_GeometricSet)&S, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_BuilderError | Error () const
## Private Attributes
StepToTopoDS_BuilderError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( |  | ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_ManifoldSolidBrep)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_BrepWithVoids)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_FacetedBrep)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_FacetedBrepAndBrepWithVoids)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_ShellBasedSurfaceModel)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle(StepShape_GeometricSet)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_BuilderError StepToTopoDS_Builder::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_GeometricSet)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_FaceBasedSurfaceModel)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_EdgeBasedWireframeModel)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_ShellBasedSurfaceModel)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_FacetedBrepAndBrepWithVoids)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_FacetedBrep)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_BrepWithVoids)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

Standard_EXPORT void StepToTopoDS_Builder::Init | ( | const Handle(StepShape_ManifoldSolidBrep)& | S,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

void StepToTopoDS_Builder::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_Builder::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_Builder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_Builder::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_BuilderError StepToTopoDS_Builder::myError`[private]`

TopoDS_Shape StepToTopoDS_Builder::myResult`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_Builder.hxx